{% extends 'dashboard/dashboard_header.html' %}

{% block title %}
    Quiz Portal
{% endblock %}

{% block head_block %}
    {% load static %}
    <link rel="stylesheet" href={% static "accounts/css/countdown.css" %}>
{% endblock %}

{% block content %}

    <div class="x_panel" id="body">
        <h3 align="center">
            {{ course }}
        </h3>
        <h4 align="center">
            Test Duration: <strong>{{ quizTimeInstance.timeDuration }}</strong> mins
        </h4>
        <div id="clockdiv">
            <div>
                <span class="days"></span>
                <div class="smalltext">Days</div>
            </div>
            <div>
                <span class="hours"></span>
                <div class="smalltext">Hours</div>
            </div>
            <div>
                <span class="minutes"></span>
                <div class="smalltext">Minutes</div>
            </div>
            <div>
                <span class="seconds"></span>
                <div class="smalltext">Seconds</div>
            </div>
        </div>

        <div class="x_content">
            <div class="row">


                <form method="POST">{% csrf_token %}
                    <div class="tab-content">
                        <div class="col-md-10 col-md-offset-1 col-sm-12 col-xs-12">
                            <table class="table table-bordered table-condensed" style="table-layout: fixed">
                                <thead style="background-color: #0fffae; color: #414141">
                                <tr>
                                    <th colspan="2" style="width: 7%">{{ questionNumber }}</th>
                                    <th style="text-align: left;word-wrap: break-word;width: 93%">{{ question.quizQuestion.question }}</th>
                                </tr>
                                </thead>
                                <tbody style="background-color: #caffe1; color: #444444">
                                <tr>
                                    <td style="width: 4%">a .</td>
                                    <td style="width: 3%"><input type="radio"
                                                                 name="answer"
                                                                 value="1"
                                            {% if question.givenAnswer == 1 %}
                                                                 checked
                                            {% endif %}
                                    >
                                    </td>
                                    <td style="text-align: left;word-wrap: break-word;width: 93%">{{ question.quizQuestion.option1 }}</td>
                                </tr>
                                <tr>
                                    <td style="width: 4%">b .</td>
                                    <td style="width: 3%"><input type="radio"
                                                                 name="answer" value="2"
                                            {% if question.givenAnswer == 2 %}
                                                                 checked
                                            {% endif %}
                                    >
                                    </td>
                                    <td style="text-align: left;word-wrap: break-word;width: 93%">{{ question.quizQuestion.option2 }}</td>
                                </tr>
                                {% if question.quizQuestion.option3 %}
                                    <tr>
                                        <td style="width: 4%">c .</td>
                                        <td style="width: 3%"><input type="radio"
                                                                     name="answer" value="3"
                                                {% if question.givenAnswer == 3 %}
                                                                     checked
                                                {% endif %}
                                        >
                                        </td>
                                        <td style="text-align: left;word-wrap: break-word;width: 93%">{{ question.quizQuestion.option3 }}</td>
                                    </tr>
                                {% endif %}
                                {% if question.quizQuestion.option4 %}
                                    <tr>
                                        <td style="width: 4%">d .</td>
                                        <td style="width: 3%"><input type="radio"
                                                                     name="answer" value="4"
                                                {% if question.givenAnswer == 4 %}
                                                                     checked
                                                {% endif %}
                                        >
                                        </td>
                                        <td style="text-align: left;word-wrap: break-word;width: 93%">{{ question.quizQuestion.option4 }}</td>
                                    </tr>
                                {% endif %}
                                {% if question.quizQuestion.option5 %}
                                    <tr>
                                        <td style="width: 4%">e .</td>
                                        <td style="width: 3%"><input type="radio"
                                                                     name="answer" value="5"
                                                {% if question.givenAnswer == 5 %}
                                                                     checked
                                                {% endif %}
                                        >
                                        </td>
                                        <td style="text-align: left;word-wrap: break-word;width: 93%">{{ question.quizQuestion.option5 }}</td>
                                    </tr>
                                {% endif %}
                                </tbody>
                            </table>
                        </div>

                        <ul class="list-inline pull-right col-md-3">
                            <li>
                                <input type="hidden" name="questionNumber" value="{{ questionNumber }}">
                                <input type="hidden" name="wrapQuizQuestionPk"
                                       value="{{ question.pk }}">

                                <button type="submit" name="previousQuestion" class="btn btn-default"
                                        {% if not enablePrevious %}
                                        disabled
                                        {% endif %}
                                >
                                    Previous
                                </button>

                                {% if enableSubmit %}
                                    <button type="button" name="trysubmit" class="btn1 btn1-secondary"
                                            data-toggle="modal"
                                            data-target="#confirmQuizSubmission">
                                        Submit
                                    </button>
                                {% else %}
                                    <button type="submit" name="nextQuestion" class="btn btn-primary">
                                        Next
                                    </button>
                                {% endif %}
                            </li>
                        </ul>

                    </div>
                    <div class="modal" id="confirmQuizSubmission" tabindex="-1" role="dialog"
                         aria-labelledby="myModalLabel1" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                    <h4 class="modal-title" id="myModalLabel1">Submit Confirmation</h4>
                                </div>
                                <div class="modal-body">
                                    <h3>
                                        <ul>
                                            <li>Are you sure to complete the test ?</li>
                                        </ul>
                                    </h3>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                    </button>
                                    <button type="submit" name="submitQuiz" class="btn1 btn-dark-green">Confirm
                                        Submission
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div id="startMessageModal" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body">
                    <h5>Quiz will proceed in full screen mode ...</h5>
                    <h4 align="center">Best of Luck !!!</h4>
                </div>
                <div class="clearfix"></div>
                <div class="modal-footer">
                    <button type="button" id="fullscreen-button" class="btn1 btn-deep-purple" data-dismiss="modal">
                        Proceed
                    </button>
                </div>
            </div>
        </div>
    </div>


    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        $('document').ready(function () {
{#            $('#startMessageModal').modal('show');#}
            var fullscreenButton = document.getElementById("fullscreen-button");
            var fullscreenDiv = document.getElementById("body");
            var fullscreenFunc = fullscreenDiv.requestFullscreen;
            if (!fullscreenFunc) {
                ['mozRequestFullScreen',
                    'msRequestFullscreen',
                    'webkitRequestFullScreen'].forEach(function (req) {
                    fullscreenFunc = fullscreenFunc || fullscreenDiv[req];
                });
            }

            function enterFullscreen() {
                fullscreenFunc.call(fullscreenDiv);
            }

            fullscreenButton.addEventListener('click', enterFullscreen);


        });

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        var time_remaining = {{ remainingTimeToWrapQuiz }};

        function getTimeRemaining(endtime) {
            var t = Date.parse(endtime) - Date.parse(new Date());
            var seconds = Math.floor((t / 1000) % 60);
            var minutes = Math.floor((t / 1000 / 60) % 60);
            var hours = Math.floor((t / (1000 * 60 * 60)) % 24);
            var days = Math.floor(t / (1000 * 60 * 60 * 24));
            return {
                'total': t,
                'days': days,
                'hours': hours,
                'minutes': minutes,
                'seconds': seconds
            };
        }

        function initializeClock(id, endtime) {
            var clock = document.getElementById(id);
            var daysSpan = clock.querySelector('.days');
            var hoursSpan = clock.querySelector('.hours');
            var minutesSpan = clock.querySelector('.minutes');
            var secondsSpan = clock.querySelector('.seconds');

            function updateClock() {
                var t = getTimeRemaining(endtime);

                daysSpan.innerHTML = t.days;
                hoursSpan.innerHTML = ('0' + t.hours).slice(-2);
                minutesSpan.innerHTML = ('0' + t.minutes).slice(-2);
                secondsSpan.innerHTML = ('0' + t.seconds).slice(-2);

                if (t.total <= 0) {
                    $('#dummyForm').submit();
                    clearInterval(timeinterval);
                }
            }

            updateClock();
            var timeinterval = setInterval(updateClock, 1000);
        }

        var deadline = new Date(Date.parse(new Date()) + time_remaining * 1000);
        initializeClock('clockdiv', deadline);
    </script>

{% endblock %}